Skip to main content

List PCAP sessions

GET
/files/{id}/pcap-sessions

Contract

Parameter
Value
Sectionfiles
AuthenticationCookieAuth
Consumesnot required
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
idpathyesintegerFile ID

Responses

5 responses

Status
Description
Type
200
PCAP information: {packetCount, sessions[]}object
400
Invalid file ID or invalid PCAP fileobject
401
Unauthorizedobject
404
File not found in the database or on diskobject
500
Failed to read fileobject
  • {
      "cursor": {
        "count": 0,
        "currentPage": 0,
        "totalPages": 0,
        "totalRows": 0
      },
      "data": {}
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }